<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structflash__area" kind="struct" prot="public">
    <compoundname>flash_area</compoundname>
    <includes local="no">flash_map_backend.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structflash__area_1acfe73a1f4f00fdf58129b21e5b71f5d4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t flash_area::fa_id</definition>
        <argsstring />
        <name>fa_id</name>
        <briefdescription>
<para>This flash area's ID; unique in the system. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="114" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="114" />
      </memberdef>
      <memberdef id="structflash__area_1a5d78c6ab00bab1bd0e825743925216a9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t flash_area::fa_device_id</definition>
        <argsstring />
        <name>fa_device_id</name>
        <briefdescription>
<para>ID of the flash device this area is a part of. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="119" />
      </memberdef>
      <memberdef id="structflash__area_1af98b8f20c0219bfcdd2fc20037845a99" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t flash_area::pad16</definition>
        <argsstring />
        <name>pad16</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="121" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="121" />
      </memberdef>
      <memberdef id="structflash__area_1a44fbf0af3ba0e7fa1c3623e7d48e0739" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t flash_area::fa_off</definition>
        <argsstring />
        <name>fa_off</name>
        <briefdescription>
<para>This area's offset, relative to the beginning of its flash device's storage. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="127" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="127" />
      </memberdef>
      <memberdef id="structflash__area_1ac580f8ab560582c02f12e96cb67b0e59" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t flash_area::fa_size</definition>
        <argsstring />
        <name>fa_size</name>
        <briefdescription>
<para>This area's size, in bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="132" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="132" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides abstraction of flash regions for type of use. </para>    </briefdescription>
    <detaileddescription>
<para>I.e. dude where's my image?</para><para>System will contain a map which contains flash areas. Every region will contain flash identifier, offset within flash and length.</para><para><orderedlist>
<listitem><para>This system map could be in a file within filesystem (Initializer must know/figure out where the filesystem is at).</para></listitem><listitem><para>Map could be at fixed location for project (compiled to code)</para></listitem><listitem><para>Map could be at specific place in flash (put in place at mfg time).</para></listitem></orderedlist>
</para><para>Note that the map you use must be valid for BSP it's for, match the linker scripts when platform executes from flash, and match the target offset specified in download script. Structure describing an area on a flash device.</para><para>Multiple flash devices may be available in the system, each of which may have its own areas. For this reason, flash areas track which flash device they are part of. </para>    </detaileddescription>
    <location bodyend="133" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="110" />
    <listofallmembers>
      <member prot="public" refid="structflash__area_1a5d78c6ab00bab1bd0e825743925216a9" virt="non-virtual"><scope>flash_area</scope><name>fa_device_id</name></member>
      <member prot="public" refid="structflash__area_1acfe73a1f4f00fdf58129b21e5b71f5d4" virt="non-virtual"><scope>flash_area</scope><name>fa_id</name></member>
      <member prot="public" refid="structflash__area_1a44fbf0af3ba0e7fa1c3623e7d48e0739" virt="non-virtual"><scope>flash_area</scope><name>fa_off</name></member>
      <member prot="public" refid="structflash__area_1ac580f8ab560582c02f12e96cb67b0e59" virt="non-virtual"><scope>flash_area</scope><name>fa_size</name></member>
      <member prot="public" refid="structflash__area_1af98b8f20c0219bfcdd2fc20037845a99" virt="non-virtual"><scope>flash_area</scope><name>pad16</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>